Subject: Re: [RFC PATCH] gnu: racket-vm-cs: Avoid 'configure' bug with '--enable-racket'.

From: "Philip McGrath" <[email-masked]>
Date: Mon, 15 Aug 2022 02:12:04 -0400

On Mon, Aug 15, 2022, at 1:47 AM, Philip McGrath wrote:
> Hi Thiago,
>
>> Nice! thanks for the quick fix. I tested guix-issue-57050-v2 and now
>> chez-scheme-for-racket-bootstrap-bootfiles builds successfully!
>> Unfortunately there's still a holdup: the install phase of racket-vm-cs-8.6
>> fails:
>>
>> [...]
>>
>> Apparently some part of the racket-vm-cs build system thinks that it's
>> cross-compiling when it's not. I'm still trying to figure out where this
>> “--cross-compiler” argument is being added but thought I'd provide an early
>> report.
>>
>
> Thanks for trying this! I think I've found what's going wrong in the
> 'configure' script is going wrong, but I'm not sure yet what's the right way
> to fix it. In the meantime, I think the patch below on top of the
> guix-issue-57050-v2 tag should avoid triggering the bad assumption in the
> 'configure' script: could you give it a try? It's also at
> https://gitlab.com/philip1/guix-patches as the current tip of the 'zuo'
> branch, commit 64be5566c119d5b4ab83d5fb44d01aa1ecaed599.
>

P.S. If the patch doesn't work, it would be useful if you could save, from the "source/racket/build/cs/c/" directory relative to the build directory reported by `guix build --keep-failed`, you could send the files "Makefile", "cs_config.h", "config.status", and "config.log", which might have useful information for debugging.